Get transform stats Generally available; Added in 7.5.0

GET /_transform/{transform_id}/_stats

Get usage information for transforms.

Required authorization

  • Index privileges: read,view_index_metadata
  • Cluster privileges: monitor_transform

Path parameters

  • transform_id string | array[string] Required

    Identifier for the transform. It can be a transform identifier or a wildcard expression. You can get information for all transforms by using _all, by specifying * as the <transform_id>, or by omitting the <transform_id>.

Query parameters

  • allow_no_match boolean

    Specifies what to do when the request:

    1. Contains wildcard expressions and there are no transforms that match.
    2. Contains the _all string or no identifiers and there are no matches.
    3. Contains wildcard expressions and there are only partial matches.

    If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

  • basic boolean Generally available; Added in 8.13.0

    If true, the response includes id, state, node, stats, health, and basic checkpointing information (the last and next checkpoint numbers, and the next checkpoint's position and progress). Skips statistics that require heavy computations to calculate: operations_behind, changes_last_detected_at, last_search_time, and the checkpoint timestamps.

  • from number

    Skips the specified number of transforms.

  • size number

    Specifies the maximum number of transforms to obtain.

  • timeout string

    Controls the time to wait for the stats

    External documentation

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • count number Required
    • transforms array[object] Required
      Hide transforms attributes Show transforms attributes object
      • checkpointing object Required
        Hide checkpointing attributes Show checkpointing attributes object
        • changes_last_detected_at number
        • changes_last_detected_at_string
        • last object Required
        • next object
        • operations_behind number
        • last_search_time number
        • last_search_time_string
      • health object
        Hide health attributes Show health attributes object
        • status string Required

          Supported values include:

          • green (or GREEN): All shards are assigned.
          • yellow (or YELLOW): All primary shards are assigned, but one or more replica shards are unassigned. If a node in the cluster fails, some data could be unavailable until that node is repaired.
          • red (or RED): One or more primary shards are unassigned, so some data is unavailable. This can occur briefly during cluster startup as primary shards are assigned.
          • unknown
          • unavailable

          Values are green, GREEN, yellow, YELLOW, red, RED, unknown, or unavailable.

        • issues array[object]

          If a non-healthy status is returned, contains a list of issues of the transform.

      • id string Required
      • node object Generally available
        Hide node attributes Show node attributes object
        • attributes object Required

          Lists node attributes.

          Hide attributes attribute Show attributes attribute object
          • * string Additional properties
        • ephemeral_id string Required

          The ephemeral ID of the node.

        • id string

          The unique identifier of the node.

        • name string Required

          The unique identifier of the node.

        • transport_address string Required

          The host and port where transport HTTP connections are accepted.

      • reason string
      • state string Required
      • stats object Required
        Hide stats attributes Show stats attributes object
        • documents_indexed number Required
        • documents_deleted number
        • documents_processed number Required
        • exponential_avg_documents_indexed number Required
        • exponential_avg_documents_processed number Required
        • index_failures number Required
        • index_total number Required
        • pages_processed number Required
        • processing_total number Required
        • search_failures number Required
        • search_total number Required
        • trigger_count number Required
GET /_transform/{transform_id}/_stats
GET _transform/ecommerce-customer-transform/_stats
resp = client.transform.get_transform_stats(
    transform_id="ecommerce-customer-transform",
)
const response = await client.transform.getTransformStats({
  transform_id: "ecommerce-customer-transform",
});
response = client.transform.get_transform_stats(
  transform_id: "ecommerce-customer-transform"
)
$resp = $client->transform()->getTransformStats([
    "transform_id" => "ecommerce-customer-transform",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_transform/ecommerce-customer-transform/_stats"
client.transform().getTransformStats(g -> g
    .transformId("ecommerce-customer-transform")
);
Response examples (200)
A successful response that contains usage information for a transform.
{
  "count": 1,
  "transforms": [
    {
      "id": "ecommerce-customer-transform",
      "state": "started",
      "node": {
        "id": "cpTIGMsVQ8Gqwqlxxxxxxx",
        "name": "my.home",
        "ephemeral_id": "5-L21nFsQxxxxxxxxxx-xx",
        "transport_address": "127.0.0.1:9300",
        "attributes": {}
      },
      "stats": {
        "pages_processed": 78,
        "documents_processed": 6027,
        "documents_indexed": 68,
        "documents_deleted": 22,
        "delete_time_in_ms": 214,
        "trigger_count": 168,
        "index_time_in_ms": 412,
        "index_total": 20,
        "index_failures": 0,
        "search_time_in_ms": 353,
        "search_total": 78,
        "search_failures": 0,
        "processing_time_in_ms": 8,
        "processing_total": 78,
        "exponential_avg_checkpoint_duration_ms": 97.30637923893185,
        "exponential_avg_documents_indexed": 2.2064915040974062,
        "exponential_avg_documents_processed": 179.89419945785045
      },
      "checkpointing": {
        "last": {
          "checkpoint": 20,
          "timestamp_millis": 1585344558220,
          "time_upper_bound_millis": 1585344498220
        },
        "changes_last_detected_at": 1585344558219
      },
      "health": {
        "status": "green"
      }
    }
  ]
}